(function($) {
	"use strict";

	var button = $('.pagination-ajax > button');
	var page = 2;
	var loading = false;
	var maxpage = button.data( 'maxpage' );
	var layout  = button.data( 'layout' );
	var blogstyle  = button.data( 'blogstyle' );
	console.log( blogstyle );
	var scrollHandling = {
	    allow: true,
	    reallow: function() {
	        scrollHandling.allow = true;
	    },
	    delay: 400 /* milliseconds) adjust to the highest acceptable value */
	};
	
	function _blog_loadmore_ajax(){
		loading = true;
		button.addClass( 'loading' );
		var data = {
			action: 'expnews_ajax_load_more',
			nonce: loadmore.nonce,
			page: page,
			query: loadmore.query,
		};
		$.post( loadmore.url, data, function(res) {
			if( res.success) { 
				var newItems = $(res.data);
				setTimeout(function(){
					if( layout == 'grid' ){
						$('.blog-content').isotope('reloadItems').isotope( "insert", newItems );
					}else{
						$('.blog-content').append(newItems);
					}
				}, 500);
				page = page + 1;
				loading = false;
				button.removeClass( 'loading' );
				if( page >= maxpage ){
					button.addClass( 'loaded' );
				}
			} else {
				console.log( 'No data to show' );
			}
		});
	}
	if( blogstyle == 'sajax' ){
		$(window).scroll(function(){
			if( ! loading && scrollHandling.allow ) {
				scrollHandling.allow = false;
				setTimeout(scrollHandling.reallow, scrollHandling.delay);
				var offset = $(button).offset().top - $(window).scrollTop();	
				if( maxpage < page ){
					button.addClass( 'loaded' );
				}
				if( 1000 > offset && maxpage >= page ) {
					_blog_loadmore_ajax();
				}
			}
		});
	}else{		
		button.on( 'click', function(){
			if( maxpage >= page ){			
				_blog_loadmore_ajax();
			}
		});
	}
}(jQuery));