(function($) {
	"use strict";
	
	/* 
	** Add Click On Ipad 
	*/
	$(window).resize(function(){
		var $width = $(this).width();
		if( $width < 1199 ){
			$( '.primary-menu .nav .dropdown-toggle'  ).each(function(){
				$(this).attr('data-toggle', 'dropdown');
			});
		}
	});
	
	/*
	** Blog Masonry
	*/
	$(window).load(function() {
		$('body').find('.blog-content-grid').isotope({ 
			layoutMode : 'masonry'
		});
	});
	
	/*
	** Search on click
	*/
	$('.phone-icon-search').on('click', function(){
		$('.top-search').toggle("slide");
	});
	
	/*
	** Product listing order hover
	*/
	$('ul.orderby.order-dropdown li ul').hide(); 
	$("ul.order-dropdown > li").each( function(){
		$(this).hover( function() {
			$(this).find( '> ul' ).stop().fadeIn("fast");
		}, function() {
			$(this).find( '> ul' ).stop().fadeOut("fast");
		});
	});
	
	/*
	** Product listing select box
	*/
	$('.catalog-ordering .orderby .current-li a').html($('.catalog-ordering .orderby ul li.current a').html());
	$('.catalog-ordering .sort-count .current-li a').html($('.catalog-ordering .sort-count ul li.current a').html());
	
	/*
	** Quickview and single product slider
	*/
	$(document).ready(function(){
		$('.fancybox').fancybox({
			'width'     : 850,
			'height'   : '500',
			'autoSize' : false,
			afterShow: function() {
				$( '.quickview-container .product-images' ).each(function(){
					var $id 					= this.id;
					var $rtl 					= $('body').hasClass( 'rtl' );
					var $img_slider 	= $( '#' + $id + ' .product-responsive');
					var $thumb_slider = $( '#' + $id + ' .product-responsive-thumbnail' )
					$img_slider.slick({
						slidesToShow: 1,
						slidesToScroll: 1,
						fade: true,
						arrows: false,
						rtl: $rtl,
						asNavFor: $thumb_slider
					});
					$thumb_slider.slick({
						slidesToShow: 3,
						slidesToScroll: 1,
						asNavFor: $img_slider,
						arrows: true,
						focusOnSelect: true,
						rtl: $rtl,
						responsive: [				
						{
							breakpoint: 360,
							settings: {
								slidesToShow: 2    
							}
						}
						]
					});

					var el = $(this);
					setTimeout(function(){
						el.removeClass("loading");
					}, 1000);
				});
			}
		});
		/* 
		** Slider single product image
		*/
		$( '.product-images' ).each(function(){
			var $rtl 					= $('body').hasClass( 'rtl' );
			var $vertical			= $(this).data('vertical');
			var $img_slider 	= $(this).find('.product-responsive');
			var $thumb_slider = $(this).find('.product-responsive-thumbnail' );
			
			$img_slider.slick({
				slidesToShow: 1,
				slidesToScroll: 1,
				fade: true,
				arrows: false,
				rtl: $rtl,
				asNavFor: $thumb_slider
			});
			$thumb_slider.slick({
				slidesToShow: 3,
				slidesToScroll: 1,
				asNavFor: $img_slider,
				arrows: true,
				rtl: $rtl,
				vertical: $vertical,
				verticalSwiping: $vertical,
				focusOnSelect: true,
				responsive: [				
				{
					breakpoint: 360,
					settings: {
						slidesToShow: 2    
					}
				}
				]
			});

			var el = $(this);
			setTimeout(function(){
				el.removeClass("loading");
			}, 1000);
		});
	});

	/*
	** Hover on mobile and tablet
	*/
	var mobileHover = function () {
		$('*').on('touchstart', function () {
			$(this).trigger('hover');
		}).on('touchend', function () {
			$(this).trigger('hover');
		});
	};
	mobileHover();
	
	/*
	** Menu hidden
	*/
	$('.product-categories')
	.find('li:gt(5)') /*you want :gt(4) since index starts at 0 and H3 is not in LI */
	.hide()
	.end()
	.each(function(){
			if($(this).children('li').length > 5){ //iterates over each UL and if they have 5+ LIs then adds Show More...
				$(this).append(
					$('<li><a>See more   +</a></li>')
					.addClass('showMore')
					.on('click',function(){
						if($(this).siblings(':hidden').length > 0){
							$(this).html('<a>See less   -</a>').siblings(':hidden').show(400);
						}else{
							$(this).html('<a>See more   +</a>').show().siblings('li:gt(5)').hide(400);
						}
					})
					);
			}
		});
	
  /*
	** Form search iP
	*/
	$('a.phone-icon-menu').on('click', function(){
		var temp = $('.navbar-inner.navbar-inverse').toggle( "slide" );
		$(this).toggleClass('active');
	});

	/* 
	** Fix accordion heading state 
	*/
	$('.accordion-heading').each(function(){
		var $this = $(this), $body = $this.siblings('.accordion-body');
		if (!$body.hasClass('in')){
			$this.find('.accordion-toggle').addClass('collapsed');
		}
	});	

	/*
	** Twice click 
	*/
	$(document).on('click.twice', '.open [data-toggle="dropdown"]', function(e){
		var $this = $(this), href = $this.attr('href');
		e.preventDefault();
		window.location.href = href;
		return false;
	});
	
	/*
	** Cpanel
	*/
	$('#cpanel').collapse();

	$('#cpanel-reset').on('click', function(e) {

		if (document.cookie && document.cookie != '') {
			var split = document.cookie.split(';');
			for (var i = 0; i < split.length; i++) {
				var name_value = split[i].split("=");
				name_value[0] = name_value[0].replace(/^ /, '');

				if (name_value[0].indexOf(cpanel_name)===0) {
					$.cookie(name_value[0], 1, { path: '/', expires: -1 });
				}
			}
		}

		location.reload();
	});

	$('#cpanel-form').on('submit', function(e){
		var $this = $(this), data = $this.data(), values = $this.serializeArray();

		var checkbox = $this.find('input:checkbox');
		$.each(checkbox, function() {

			if( !$(this).is(':checked') ) {
				name = $(this).attr('name');
				name = name.replace(/([^\[]*)\[(.*)\]/g, '$1_$2');

				$.cookie( name , 0, { path: '/', expires: 7 });
			}

		})

		$.each(values, function(){
			var $nvp = this;
			var name = $nvp.name;
			var value = $nvp.value;

			if ( !(name.indexOf(cpanel_name + '[')===0) ) return ;

			name = name.replace(/([^\[]*)\[(.*)\]/g, '$1_$2');

			$.cookie( name , value, { path: '/', expires: 7 });

		});

		location.reload();

		return false;

	});

	$('a[href="#cpanel-form"]').on( 'click', function(e) {
		var parent = $('#cpanel-form'), right = parent.css('right'), width = parent.width();

		if ( parseFloat(right) < -10 ) {
			parent.animate({
				right: '0px',
			}, "slow");
		} else {
			parent.animate({
				right: '-' + width ,
			}, "slow");
		}

		if ( $(this).hasClass('active') ) {
			$(this).removeClass('active');
		} else $(this).addClass('active');

		e.preventDefault();
	});
	

	/*
	** Currency Selectbox
	*/
	$('.currency_switcher li a').on('click', function(){
		var $current = $(this).attr('data-currencycode');
		jQuery('.currency_w > li > a').html($current);
	});
	
	/*
	** Language
	*/
	var $current ='';
	$('#lang_sel ul > li > ul li a').on('click',function(){
	 //console.log($(this).html());
	 $current = $(this).html();
	 $('#lang_sel ul > li > a.lang_sel_sel').html($current);
	 $a = $.cookie('lang_select_market', $current, { expires: 1, path: '/'}); 
	});
	
	if( $.cookie('lang_select_market') && $.cookie('lang_select_market').length > 0 ) {
		$('#lang_sel ul > li > a.lang_sel_sel').html($.cookie('lang_select_market'));
	}

	$('#lang_sel ul > li.icl-ar').click(function(){
		$('#lang_sel ul > li.icl-en').removeClass( 'active' );
		$(this).addClass( 'active' );
		$.cookie( 'market_lang_en' , 1, { path: '/', expires: 1 });
	});
	
	$('#lang_sel ul > li.icl-en').click(function(){
		$('#lang_sel ul > li.icl-ar').removeClass( 'active' );
		$(this).addClass( 'active' );
		$.cookie( 'market_lang_en' , 0, { path: '/', expires: -1 });
	});
	
	var Blank_Lang = $.cookie( 'market_lang_en' );
	if( Blank_Lang == null ){
		$('#lang_sel ul > li.icl-en').addClass( 'active' );
		$('#lang_sel ul > li.icl-ar').removeClass( 'active' );
	}else{
		$('#lang_sel ul > li.icl-en').removeClass( 'active' );
		$('#lang_sel ul > li.icl-ar').addClass( 'active' );
	}
	
	/*
	** Clear header style 
	*/
	$( '.market-logo' ).on('click', function(){
		$.cookie("market_header_style", null, { path: '/' });
		$.cookie("market_footer_style", null, { path: '/' });
	});
	
	/*
	** Back to top
	**/
	$("#market-totop").hide();
	var wh = $(window).height();
	var whtml = $(document).height();
	$(window).scroll(function () {
		if ($(this).scrollTop() > whtml/10) {
			$('#market-totop').fadeIn();
		} else {
			$('#market-totop').fadeOut();
		}
	});
	
	$('#market-totop').click(function () {
		$('body,html').animate({
			scrollTop: 0
		}, 800);
		return false;
	});
	/* end back to top */
	
	/*
	** Hidden notice when submit on contact form
	*/
	$(document).ready(function(){
		$('.wpcf7-form-control-wrap').on('hover', function(){
			$(this).find('.wpcf7-not-valid-tip').css('display', 'none');
		});
	});

	/* Header Search */
	$(".topsearch-entry >span").click(function(){
		$(".topsearch-entry .searchform_special").slideToggle();
	});
	
	/* Header Search2 */
	$(".sidebar-top-right3 .sidebar-log").click(function(){
		$(".sidebar-top-right3 .sidebar-log-info").slideToggle();
	});

	/* Sw woo tab */
	$(".sw-wootab-slider .category-slider-content .nav-tabs-select .navbar-toggle").click(function(){
		$(".sw-wootab-slider .category-slider-content .nav-tabs-select .nav-tabs").slideToggle();
	});

	if ($(window).width() < 768) {	

		$('.footer .widget_nav_menu .widgettitle').append('<span class="icon-footer"></span>');
		$('.footer .menu-bottom-footer h5').append('<span class="icon-footer"></span>');

		$(".footer .widget_nav_menu .widgettitle").each(function(){
			$(this).on('click', function(){
				$(this).parent().find("ul.menu").slideToggle();
			});
		});		
		$(".footer .menu-bottom-footer h5").click(function(){
			$(".footer .menu-bottom-footer ul.block-content").slideToggle();
		});
		
	}


 /*
 ** Fix js 
 */
 $('.wpb_map_wraper').on('click', function () {
 	$('.wpb_map_wraper iframe').css("pointer-events", "auto");
 });

 $( ".wpb_map_wraper" ).on('mouseleave', function() {
 	$('.wpb_map_wraper iframe').css("pointer-events", "none"); 
 });

	/*
	** Change Layout 
	*/
	$( window ).load(function() {	
		if( $( 'body' ).hasClass( 'woocommerce' ) && $( 'body' ).hasClass( 'archive' ) ) {
			$('.grid-view').on('click',function(){
				$('.list-view').removeClass('active');
				$('.grid-view').addClass('active');
				jQuery("ul.products-loop").fadeOut(300, function() {
					$(this).removeClass("list").fadeIn(300).addClass( 'grid' );			
				});
			});
			
			$('.list-view').on('click',function(){
				$( '.grid-view' ).removeClass('active');
				$( '.list-view' ).addClass('active');
				$("ul.products-loop").fadeOut(300, function() {
					jQuery(this).addClass("list").fadeIn(300).removeClass( 'grid' );
				});
			});
			/* End Change Layout */
		} 
	});
}(jQuery));

/*
** Check comment form
*/
function submitform(){
	if(document.commentform.comment.value=='' || document.commentform.author.value=='' || document.commentform.email.value==''){
		alert('Please fill the required field.');
		return false;
	} else return true;
}

(function($){
	if($(window).width() >= 992 && $(window).width() <= 1191){
		jQuery('.header-style1 .vertical-megamenu')
		.find(' > li:gt(10) ') 
		.hide()
		.end()
		.each(function(){
			if($(this).children('li').length > 10){ 
				$(this).append(
					$('<li><a class="open-more-cat">More Categories</a></li>')
					.addClass('showMore')
					.on('click', function(){
						if($(this).siblings(':hidden').length > 0){
							$(this).html('<a class="close-more-cat">Close Menu</a>').siblings(':hidden').show(400);
						}else{
							$(this).html('<a class="open-more-cat">More Categories</a>').show().siblings('li:gt(10)').hide(400);
						}
					})
					);
			}
		});
	}
	/*Verticle Menu*/
	if($(window).width() >= 1191){
		jQuery('.header-style1 .vertical-megamenu')
		.find(' > li:gt(12) ') 
		.hide()
		.end()
		.each(function(){
			if($(this).children('li').length > 12){ 
				$(this).append(
					$('<li><a class="open-more-cat">More Categories</a></li>')
					.addClass('showMore')
					.on('click', function(){
						if($(this).siblings(':hidden').length > 0){
							$(this).html('<a class="close-more-cat">Close Menu</a>').siblings(':hidden').show(400);
						}else{
							$(this).html('<a class="open-more-cat">More Categories</a>').show().siblings('li:gt(12)').hide(400);
						}
					})
					);
			}
		});
	}
	jQuery('.home-style2 .vertical-megamenu')
	.find(' > li:gt(8) ') 
	.hide()
	.end()
	.each(function(){
		if($(this).children('li').length > 8){ 
			$(this).append(
				$('<li><a class="open-more-cat">More Categories</a></li>')
				.addClass('showMore')
				.on('click', function(){
					if($(this).siblings(':hidden').length > 0){
						$(this).html('<a class="close-more-cat">Close Menu</a>').siblings(':hidden').show(400);
					}else{
						$(this).html('<a class="open-more-cat">More Categories</a>').show().siblings('li:gt(8)').hide(400);
					}
				})
				);
		}
	});

	jQuery('.home-style-vertical .vertical-megamenu')
	.find(' > li:gt(9) ') 
	.hide()
	.end()
	.each(function(){
		if($(this).children('li').length > 9){ 
			$(this).append(
				$('<li><a class="open-more-cat">More Categories</a></li>')
				.addClass('showMore')
				.on('click', function(){
					if($(this).siblings(':hidden').length > 0){
						$(this).html('<a class="close-more-cat">Close Menu</a>').siblings(':hidden').show(400);
					}else{
						$(this).html('<a class="open-more-cat">More Categories</a>').show().siblings('li:gt(9)').hide(400);
					}
				})
				);
		}
	});

	jQuery('.header-style4 .vertical-megamenu')
	.find(' > li:gt(10) ') 
	.hide()
	.end()
	.each(function(){
		if($(this).children('li').length > 10){ 
			$(this).append(
				$('<li><a class="open-more-cat">More Categories</a></li>')
				.addClass('showMore')
				.on('click', function(){
					if($(this).siblings(':hidden').length > 0){
						$(this).html('<a class="close-more-cat">Close Menu</a>').siblings(':hidden').show(400);
					}else{
						$(this).html('<a class="open-more-cat">More Categories</a>').show().siblings('li:gt(10)').hide(400);
					}
				})
				);
		}
	});

	jQuery('.header-style6 .vertical-megamenu')
	.find(' > li:gt(10) ') 
	.hide()
	.end()
	.each(function(){
		if($(this).children('li').length > 10){ 
			$(this).append(
				$('<li><a class="open-more-cat">More Categories</a></li>')
				.addClass('showMore')
				.on('click', function(){
					if($(this).siblings(':hidden').length > 0){
						$(this).html('<a class="close-more-cat">Close Menu</a>').siblings(':hidden').show(400);
					}else{
						$(this).html('<a class="open-more-cat">More Categories</a>').show().siblings('li:gt(10)').hide(400);
					}
				})
				);
		}
	});

	$( document ).ready( function(){

		var footer_height = $('#footer > .footer-top').height();
		$('#footer > .footer-top .sidebar-footer .widget').css( 'height', footer_height );
	}); 
})(jQuery);
