<?php
$lib_dir = trailingslashit( str_replace( '\\', '/', get_template_directory() . '/lib/' ) );

if( !defined('BLANK_DIR') ){
	define( 'BLANK_DIR', $lib_dir );
}

if( !defined('BLANK_URL') ){
	define( 'BLANK_URL', trailingslashit( get_template_directory_uri() ) . 'lib' );
}

defined('BLANK_THEME') or die;

if (!isset($content_width)) { $content_width = 940; }

define("BLANK_PRODUCT_TYPE","product");
define("BLANK_PRODUCT_DETAIL_TYPE","product_detail");

require_once( get_template_directory().'/lib/options.php' );
function market_Options_Setup(){
	global $market_options, $options, $options_args;

	$options = array();
	$options[] = array(
		'title' => esc_html__('General', 'sw-market'),
		'desc' => wp_kses( __('<p class="description">The theme allows to build your own styles right out of the backend without any coding knowledge. Start your own color scheme by selecting one of 5 predefined schemes. Upload new logo and favicon or get their URL.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it market for default.
		'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_019_cogwheel.png',
			//Lets leave this as a market section, no options just some intro text set above.
		'fields' => array(
			array(
				'id' => 'scheme',
				'type' => 'radio_img',
				'title' => esc_html__('Color Scheme', 'sw-market'),
				'sub_desc' => esc_html__( 'Select one of 5 predefined schemes', 'sw-market' ),
				'desc' => '',
				'options' => array(
					'default' => array('title' => 'Default', 'img' => get_template_directory_uri().'/assets/img/default.png'),
					'blue' => array('title' => 'Blue', 'img' => get_template_directory_uri().'/assets/img/blue.png'),
					'green' => array('title' => 'Green', 'img' => get_template_directory_uri().'/assets/img/green.png'),
					'tangerine' => array('title' => 'Tangerine', 'img' => get_template_directory_uri().'/assets/img/tangerine.png'),
					'emerald' => array('title' => 'Emerald', 'img' => get_template_directory_uri().'/assets/img/emerald.png')
											), //Must provide key => value(array:title|img) pairs for radio options
				'std' => 'default'
				),

			array(
				'id' => 'favicon',
				'type' => 'upload',
				'title' => esc_html__('Favicon Icon', 'sw-market'),
				'sub_desc' => esc_html__( 'Use the Upload button to upload the new favicon and get URL of the favicon. To config Favicon in WordPress 4.3 upward, please go to Appearance -> Customize', 'sw-market' ),
				'std' => get_template_directory_uri().'/assets/img/favicon.ico'
				),
			array(
				'id' => 'sitelogo',
				'type' => 'upload',
				'title' => esc_html__('Logo Image', 'sw-market'),
				'sub_desc' => esc_html__( 'Use the Upload button to upload the new logo and get URL of the logo', 'sw-market' ),
				'std' => get_template_directory_uri().'/assets/img/logo-default.png'
				),
			)
);

$options[] = array(
	'title' => esc_html__('Layout', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">Flytheme Framework comes with a layout setting that allows you to build any number of stunning layouts and apply theme to your entries.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it market for default.
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_319_sort.png',
			//Lets leave this as a market section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'layout',
			'type' => 'select',
			'title' => esc_html__('Box Layout', 'sw-market'),
			'sub_desc' => esc_html__( 'Select Layout Box or Wide', 'sw-market' ),
			'options' => array(
				'full' => esc_html__( 'Wide', 'sw-market' ),
				'boxed' => esc_html__( 'Boxed', 'sw-market' )
				),
			'std' => 'wide'
			),
		
		array(
			'id' => 'bg_box_img',
			'type' => 'upload',
			'title' => __('Background Box Image', 'sw-market'),
			'sub_desc' => '',
			'std' => ''
			),
		array(
			'id' => 'sidebar_left_expand',
			'type' => 'select',
			'title' => esc_html__('Left Sidebar Expand', 'sw-market'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12', 
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '3',
			'sub_desc' => esc_html__( 'Select width of left sidebar.', 'sw-market' ),
			),
		
		array(
			'id' => 'sidebar_right_expand',
			'type' => 'select',
			'title' => esc_html__('Right Sidebar Expand', 'sw-market'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '3',
			'sub_desc' => esc_html__( 'Select width of right sidebar medium desktop.', 'sw-market' ),
			),
		array(
			'id' => 'sidebar_left_expand_md',
			'type' => 'select',
			'title' => esc_html__('Left Sidebar Medium Desktop Expand', 'sw-market'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of left sidebar medium desktop.', 'sw-market' ),
			),
		array(
			'id' => 'sidebar_right_expand_md',
			'type' => 'select',
			'title' => esc_html__('Right Sidebar Medium Desktop Expand', 'sw-market'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of right sidebar.', 'sw-market' ),
			),
		array(
			'id' => 'sidebar_left_expand_sm',
			'type' => 'select',
			'title' => esc_html__('Left Sidebar Tablet Expand', 'sw-market'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of left sidebar tablet.', 'sw-market' ),
			),
		array(
			'id' => 'sidebar_right_expand_sm',
			'type' => 'select',
			'title' => esc_html__('Right Sidebar Tablet Expand', 'sw-market'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of right sidebar tablet.', 'sw-market' ),
			),				
		)
);
$options[] = array(
	'title' => esc_html__('Header & Footer', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">Flytheme Framework comes with a header and footer setting that allows you to build style header.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it market for default.
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_336_read_it_later.png',
			//Lets leave this as a market section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'header_style',
			'type' => 'select',
			'title' => esc_html__('Header Style', 'sw-market'),
			'sub_desc' => 'Select Header style',
			'options' => array(
				'style1'  => esc_html__( 'Style 1', 'sw-market' ),
				'style2'  => esc_html__( 'Style 2', 'sw-market' ),
				'style3'  => esc_html__( 'Style 3', 'sw-market' ),
				'style4'  => esc_html__( 'Style 4', 'sw-market' ),
				'style5'  => esc_html__( 'Style 5', 'sw-market' ),
				'style6'  => esc_html__( 'Style 6', 'sw-market' ),		
				),
			'std' => 'style1'
			),
		array(
			'id' => 'footer_style',
			'type' => 'pages_select',
			'title' => esc_html__('Select Footer Page', 'sw-market'),
			'sub_desc' => esc_html__( 'Select a page to show content on footer.', 'sw-market' ),
			'std' => ''
			),
		array(
			'id' => 'phone_number',
			'type' => 'text',
			'sub_desc' => esc_html__( 'Enter my phone   .', 'sw-market' ),
			'title' => esc_html__( 'My Phone.', 'sw-market' ),
			'std' => ''
			),
		array(
			'id' => 'footer_copyright',
			'type' => 'editor',
			'sub_desc' => '',
			'title' => esc_html__( 'Copyright text', 'sw-market' )
			),	
		)
);
$options[] = array(
	'title' => esc_html__('Navbar Options', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">If you got a big site with a lot of sub menus we recommend using a mega menu. Just select the dropbox to display a menu as mega menu or dropdown menu.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it market for default.
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_157_show_lines.png',
			//Lets leave this as a market section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'menu_type',
			'type' => 'select',
			'title' => esc_html__('Menu Type', 'sw-market'),
			'options' => array( 'dropdown' => 'Dropdown Menu', 'mega' => 'Mega Menu' ),
			'std' => 'mega'
			),
		array(
			'id' => 'menu_location',
			'type' => 'menu_location_multi_select',
			'title' => esc_html__('Theme Location', 'sw-market'),
			'sub_desc' => esc_html__( 'Select theme location to active mega menu and menu responsive.', 'sw-market' ),
			'std' => 'primary_menu'
			),			
		array(
			'id' => 'sticky_menu',
			'type' => 'checkbox',
			'title' => esc_html__('Active sticky menu', 'sw-market'),
			'sub_desc' => '',
			'desc' => '',
						'std' => '0'// 1 = on | 0 = off
						),	
		)
	);
$options[] = array(
	'title' => esc_html__('Blog Options', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">Select layout in blog listing page.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it market for default.
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_319_sort.png',
		//Lets leave this as a market section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'sidebar_blog',
			'type' => 'select',
			'title' => esc_html__('Sidebar Blog Layout', 'sw-market'),
			'options' => array(
				'full' => 'Full Layout',		
				'left_sidebar'	=>  esc_html__( 'Left Sidebar', 'sw-market' ),
				'right_sidebar' => esc_html__( 'Right Sidebar', 'sw-market' ),
				'lr_sidebar'   => esc_html__( 'Left Right Sidebar', 'sw-market' )						
				),
			'std' => 'left_sidebar',
			'sub_desc' => esc_html__( 'Select style sidebar blog', 'sw-market' ),
			),
		array(
			'id' => 'blog_layout',
			'type' => 'select',
			'title' => esc_html__('Layout blog', 'sw-market'),
			'options' => array(
				'list'	=>  esc_html__( 'List Layout', 'sw-market' ),
				'grid' =>  esc_html__( 'Grid Layout', 'sw-market' )								
				),
			'std' => 'list',
			'sub_desc' => esc_html__( 'Select style layout blog', 'sw-market' ),
			),
		array(
			'id' => 'blog_column',
			'type' => 'select',
			'title' => esc_html__('Blog column', 'sw-market'),
			'options' => array(								
				'2' => '2 columns',
				'3' => '3 columns',
				'4' => '4 columns'								
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select style number column blog', 'sw-market' ),
			),
		)
);	
$options[] = array(
	'title' => esc_html__('Product Options', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">Select layout in product listing page.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it market for default.
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_319_sort.png',
		//Lets leave this as a market section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'product_col_large',
			'type' => 'select',
			'title' => esc_html__('Product Listing column Desktop', 'sw-market'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',							
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select number of column on Desktop Screen', 'sw-market' ),
			),
		array(
			'id' => 'product_col_medium',
			'type' => 'select',
			'title' => esc_html__('Product Listing column Medium Desktop', 'sw-market'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',							
				),
			'std' => '3',
			'sub_desc' => esc_html__( 'Select number of column on Medium Desktop Screen', 'sw-market' ),
			),
		array(
			'id' => 'product_col_sm',
			'type' => 'select',
			'title' => esc_html__('Product Listing column Tablet', 'sw-market'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',							
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select number of column on Tablet Screen', 'sw-market' ),
			),
		array(
			'id' => 'sidebar_product',
			'type' => 'select',
			'title' => esc_html__('Sidebar Product Layout', 'sw-market'),
			'options' => array(
				'left'	=> esc_html__( 'Left Sidebar', 'sw-market' ),
				'full' => esc_html__( 'Full Layout', 'sw-market' ),		
				'right' => esc_html__( 'Right Sidebar', 'sw-market' ),
				'lr'   => esc_html__( 'Left Right Sidebar', 'sw-market' )						
				),
			'std' => 'left',
			'sub_desc' => esc_html__( 'Select style sidebar product', 'sw-market' ),
			),
		array(
			'id' => 'product_quickview',
			'title' => esc_html__( 'Quickview', 'sw-market' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off Product Quickview', 'sw-market' ),
			'std' => '1'
			),
		
		array(
				'id' => 'product_zoom',
				'title' => esc_html__( 'Product Zoom', 'sw-market' ),
				'type' => 'checkbox',
				'sub_desc' => '',
				'desc' => esc_html__( 'Turn On/Off image zoom when hover on single product', 'sw-market' ),
				'std' => '1'
			),
			
		array(
			'id' => 'product_number',
			'type' => 'text',
			'title' => esc_html__('Product Listing Number', 'sw-market'),
			'sub_desc' => esc_html__( 'Show number of product in listing product page.', 'sw-market' ),
			'std' => 12
			),
		)
);		
$options[] = array(
	'title' => esc_html__('Typography', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">Change the font style of your blog, custom with Google Font.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it market for default.
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_151_edit.png',
			//Lets leave this as a market section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'google_webfonts',
			'type' => 'text',
			'title' => esc_html__('Use Google Webfont', 'sw-market'),
			'sub_desc' => esc_html__( 'Insert font style that you actually need on your webpage.', 'sw-market' ), 
			'std' => ''
			),
		array(
			'id' => 'webfonts_weight',
			'type' => 'multi_select',
			'sub_desc' => esc_html__( 'For weight, see Google Fonts to custom for each font style.', 'sw-market' ),
			'title' => esc_html__('Webfont Weight', 'sw-market'),
			'options' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900'
				),
			'std' => ''
			),
		array(
			'id' => 'webfonts_assign',
			'type' => 'select',
			'title' => esc_html__( 'Webfont Assign to', 'sw-market' ),
			'sub_desc' => esc_html__( 'Select the place will apply the font style headers, every where or custom.', 'sw-market' ),
			'options' => array(
				'headers' => esc_html__( 'Headers',    'sw-market' ),
				'all'     => esc_html__( 'Everywhere', 'sw-market' ),
				'custom'  => esc_html__( 'Custom',     'sw-market' )
				)
			),
		array(
			'id' => 'webfonts_custom',
			'type' => 'text',
			'sub_desc' => esc_html__( 'Insert the places will be custom here, after selected custom Webfont assign.', 'sw-market' ),
			'title' => esc_html__( 'Webfont Custom Selector', 'sw-market' )
			),
		)
);

$options[] = array(
	'title' => esc_html__('My Social', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">My social link.</p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_222_share.png',
	'fields' => array(
		array(
			'id' => 'my-social-fb',
			'title' => esc_html__( 'Facebook', 'sw-market' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '1',
			),
		array(
			'id' => 'my-social-tw',
			'title' => esc_html__( 'Twitter', 'sw-market' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '1',
			),
		array(
			'id' => 'my-social-go',
			'title' => esc_html__( 'Google+', 'sw-market' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '1',
			),
		array(
			'id' => 'my-social-pi',
			'title' => esc_html__( 'Piterest', 'sw-market' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '1',
			),
		)
	);
$options[] = array(
	'title' => esc_html__('Advanced', 'sw-market'),
	'desc' => wp_kses( __('<p class="description">Custom advanced with Cpanel, Widget advanced, Developer mode </p>', 'sw-market'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it market for default.
	'icon' => BLANK_URL.'/options/img/glyphicons/glyphicons_083_random.png',
			//Lets leave this as a market section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'show_cpanel',
			'title' => esc_html__( 'Show cPanel', 'sw-market' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off Cpanel', 'sw-market' ),
			'desc' => '',
			'std' => ''
			),
		array(
			'id' => 'widget-advanced',
			'title' => esc_html__('Widget Advanced', 'sw-market'),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off Widget Advanced', 'sw-market' ),
			'desc' => '',
			'std' => '1'
			),
		array(
			'id' => 'developer_mode',
			'title' => esc_html__( 'Developer Mode', 'sw-market' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off preset', 'sw-market' ),
			'desc' => '',
			'std' => '0'
			),
		array(
			'id' => 'social_share',
			'title' => esc_html__( 'Social Share', 'sw-market' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off social share', 'sw-market' ),
			'desc' => '',
			'std' => '1'
			),
		array(
			'id' => 'back_active',
			'type' => 'checkbox',
			'title' => esc_html__('Back to top', 'sw-market'),
			'sub_desc' => '',
			'desc' => '',
							'std' => '1'// 1 = on | 0 = off
							),							
		array(
			'id' => 'direction',
			'type' => 'select',
			'title' => esc_html__('Direction', 'sw-market'),
			'options' => array( 'ltr' => 'Left to Right', 'rtl' => 'Right to Left' ),
			'std' => 'ltr'
			),
		array(
			'id' => 'popup_active',
			'type' => 'checkbox',
			'title' => esc_html__('Active Popup Subscribe', 'sw-market'),
			'sub_desc' => esc_html__( 'Check to active popup subscribe', 'sw-market' ),
			'desc' => '',
							'std' => '0'// 1 = on | 0 = off
							),	
		array(
			'id' => 'popup_shortcode',
			'type' => 'textarea',
			'sub_desc' => esc_html__( 'Insert the popup shortcode here', 'sw-market' ),
			'title' => esc_html__( 'Popup Shortcode', 'sw-market' )
			),
		array(
			'id' => 'advanced_head',
			'type' => 'textarea',
			'sub_desc' => esc_html__( 'Insert your own CSS into this block. This overrides all default styles located throughout the theme', 'sw-market' ),
			'title' => esc_html__( 'Custom CSS/JS', 'sw-market' )
			)
		)
);

$options_args = array();

	//Setup custom links in the footer for share icons
$options_args['share_icons']['facebook'] = array(
	'link' => 'https://www.facebook.com/SmartAddons.page',
	'title' => 'Facebook',
	'img' => BLANK_URL.'/options/img/glyphicons/glyphicons_320_facebook.png'
	);
$options_args['share_icons']['twitter'] = array(
	'link' => 'https://twitter.com/smartaddons',
	'title' => 'Folow me on Twitter',
	'img' => BLANK_URL.'/options/img/glyphicons/glyphicons_322_twitter.png'
	);
$options_args['share_icons']['linked_in'] = array(
	'link' => 'http://www.linkedin.com/in/smartaddons',
	'title' => 'Find me on LinkedIn',
	'img' => BLANK_URL.'/options/img/glyphicons/glyphicons_337_linked_in.png'
	);


	//Choose a custom option name for your theme options, the default is the theme name in lowercase with spaces replaced by underscores
$options_args['opt_name'] = BLANK_THEME;

	$options_args['google_api_key'] = '';//must be defined for use with google webfonts field type

	//Custom menu title for options page - default is "Options"
	$options_args['menu_title'] = esc_html__('Theme Options', 'sw-market');

	//Custom Page Title for options page - default is "Options"
	$options_args['page_title'] = esc_html__('Blank Options ', 'sw-market');

	//Custom page slug for options page (wp-admin/themes.php?page=***) - default is "market_theme_options"
	$options_args['page_slug'] = 'market_theme_options';

	//page type - "menu" (adds a top menu section) or "submenu" (adds a submenu) - default is set to "menu"
	$options_args['page_type'] = 'submenu';

	//custom page location - default 100 - must be unique or will override other items
	$options_args['page_position'] = 27;
	$market_options = new Blank_Options($options, $options_args);
}
add_action( 'admin_init', 'market_Options_Setup', 0 );
market_Options_Setup();

function market_widget_setup_args(){
	$market_widget_areas = array(
		
		array(
			'name' => esc_html__('Sidebar Left Blog', 'sw-market'),
			'id'   => 'left-blog',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		array(
			'name' => esc_html__('Sidebar Right Blog', 'sw-market'),
			'id'   => 'right-blog',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Top Left', 'sw-market'),
			'id'   => 'top-left',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Top Right', 'sw-market'),
			'id'   => 'top-right',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Top Left2', 'sw-market'),
			'id'   => 'top-left2',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Top Right2', 'sw-market'),
			'id'   => 'top-right2',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Top Right3', 'sw-market'),
			'id'   => 'top-right3',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Top Home5', 'sw-market'),
			'id'   => 'top-home5',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Menu Right', 'sw-market'),
			'id'   => 'menu-right',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		
		array(
			'name' => esc_html__('Sidebar Banner Category Product', 'sw-market'),
			'id'   => 'banner-product-category',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Sidebar Left Product', 'sw-market'),
			'id'   => 'left-product',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Sidebar Right Product', 'sw-market'),
			'id'   => 'right-product',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Sidebar Left Detail Product', 'sw-market'),
			'id'   => 'left-product-detail',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Sidebar Right Detail Product', 'sw-market'),
			'id'   => 'right-product-detail',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Sidebar Banner Detail Product', 'sw-market'),
			'id'   => 'banner-product-detail',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),

		array(
			'name' => esc_html__('Sidebar Bottom Detail Product', 'sw-market'),
			'id'   => 'bottom-detail-product',
			'before_widget' => '<div class="widget %1$s %2$s" data-scroll-reveal="enter bottom move 20px wait 0.2s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Footer Copy Right', 'sw-market'),
			'id'   => 'check-copyright',
			'before_widget' => '<div class="widget %1$s %2$s" data-scroll-reveal="enter bottom move 20px wait 0.2s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		);
return $market_widget_areas;
}
