<?php 
/*
	* Name: Metabox Page
	* Develope: Smartaddons
*/

/*
** Build array
*/
function market_build_array( $case ){
	$build_arr = array();
	if( $case == 'page' ) :
		$build_arr = array( '' => esc_html__( 'Select Page', 'sw-market' ) );
	$pages = get_pages(); 
	foreach( $pages as $page ) {
		$build_arr[$page->ID] = $page->post_title;
	}
	elseif( $case == 'sidebar' ) :
		$wp_registered_sidebars = market_widget_setup_args();
	$build_arr = array( '' => esc_html__( 'Select Sidebar', 'sw-market' ) );
	foreach( $wp_registered_sidebars as $sidebar ) {
		$build_arr[$sidebar['id']] = $sidebar['name'];
	}
	endif;
	return $build_arr;
}

/*
** Metabox array define
*/
$market_metabox_pages[] = array(
	'title' 	=> esc_html__( 'General', 'sw-market' ),
	'fields'	=> array(
		array(
			'type'	=> 'upload',
			'title'	=> esc_html__( 'Custom Logo', 'sw-market' ),
			'id'	=> 'page_logo',
			'description' => esc_html__( 'Upload custom Logo for this page', 'sw-market' ),
			'std' => ''
			),
		
		array(
			'type'	=> 'select',
			'title'	=> esc_html__( 'Home Template', 'sw-market' ),
			'id'	=> 'page_home_template',
			'description' => esc_html__( 'Select home template', 'sw-market' ),
			'std'	 => '',
			'values' => array( '' => esc_html__( 'Default', 'sw-market' ), 'home-style1' => esc_html__( 'Home Style1', 'sw-market' ), 'home-style2' => esc_html__( 'Home Style2', 'sw-market' ), 
					'home-style3' => esc_html__( 'Home Style3', 'sw-market' ), 'home-style4' => esc_html__( 'Home Style4', 'sw-market' ), 'home-style5' => esc_html__( 'Home Style5', 'sw-market' ),
					'home-style6' => esc_html__( 'Home Style6', 'sw-market' ) )
			),
		array(
			'type'	=> 'radio_img',
			'title'	=> esc_html__( 'Color Scheme', 'sw-market' ),
			'id'	=> 'scheme',
			'description' => esc_html__( 'Select one color scheme for this page', 'sw-market' ),
			'std'	 => 'default',
			'values' => array( 
				'default'	=> '#FE9812',
				'blue' => '#0097F6',
				'green'	=> '#3AB54A',
				'tangerine'	=> '#E34931',
				'emerald'	=> '#009975',
				)
			)
		)
);

$market_metabox_pages[] = array(
	'title' 	=> esc_html__( 'Typography', 'sw-market' ),
	'fields'	=> array(
		array(
			'type'	=> 'text',
			'title'	=> esc_html__( 'Google Fonts', 'sw-market' ),
			'id'	=> 'google_webfonts',
			'description' => esc_html__( ' Insert font style that you actually need on your webpage. Each font seperate by commas', 'sw-market' ),
			'std'	 => ''	
			),
		array(
			'type'	=> 'multiselect',
			'title'	=> esc_html__( 'Webfont Weight', 'sw-market' ),
			'id'	=> 'webfonts_weight',
			'description' => esc_html__( 'For weight, see Google Fonts to custom for each font style.', 'sw-market' ),
			'std'	 => '',
			'values' => array( 
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900'
				)
			),
		array(
			'type'	=> 'select',
			'title'	=> esc_html__( 'Webfont Assign to', 'sw-market' ),
			'id'	=> 'webfonts_assign',
			'description' => esc_html__( 'Select the place will apply the font style headers, every where or custom.', 'sw-market' ),
			'std'	 => '',
			'values' => array( 
				'' 				=> esc_html__( 'None',    'sw-market' ),
				'headers' => esc_html__( 'Headers',    'sw-market' ),
				'all'     => esc_html__( 'Everywhere', 'sw-market' ),
				'custom'  => esc_html__( 'Custom',     'sw-market' )
				)
			),		
		array(
			'type'	=> 'text',
			'title'	=> esc_html__( 'Webfont Custom Selector', 'sw-market' ),
			'id'	=> 'webfonts_custom',
			'description' => esc_html__( 'Insert the places will be custom here, after selected custom Webfont assign.', 'sw-market' ),
			'std'	 => ''	
			),		
		)
);
$market_metabox_pages[] = array(
	'title' 	=> esc_html__( 'Header', 'sw-market' ),
	'fields'	=> array(
		array(
			'type'	=> 'checkbox',
			'title'	=> esc_html__( 'Hide header', 'sw-market' ),
			'id'	=> 'page_header_hide',
			'description' => esc_html__( 'Choose to show or hide the header. ', 'sw-market' ),
			'std' => '0'
			),
		array(
			'type'	=> 'select',
			'title'	=> esc_html__( 'Header Style', 'sw-market' ),
			'id'	=> 'page_header_style',
			'description' => esc_html__( 'Select header style', 'sw-market' ),
			'std'	 => '',
			'values' => array( '' => esc_html__( 'No Header', 'sw-market' ), 'style1' => esc_html__( 'Header Style1', 'sw-market' ), 'style2' => esc_html__( 'Header Style2', 'sw-market' ), 
						'style3' => esc_html__( 'Header Style3', 'sw-market' ), 'style4' => esc_html__( 'Header Style4', 'sw-market' ), 'style5' => esc_html__( 'Header Style5', 'sw-market' ),
						'style6' => esc_html__( 'Header Style6', 'sw-market' ) )
			)		
		)
	);

$market_metabox_pages[] = array(
	'title' 	=> esc_html__( 'Footer', 'sw-market' ),
	'fields'	=> array(
		array(
			'type'	=> 'checkbox',
			'title'	=> esc_html__( 'Hide Footer', 'sw-market' ),
			'id'	=> 'page_footer_hide',
			'description' => esc_html__( 'Choose to show or hide the footer. ', 'sw-market' ),
			'std'	 => '0',
			),
		array(
			'type'	=> 'select',
			'title'	=> esc_html__( 'Footer Page Select', 'sw-market' ),
			'id'	=> 'page_footer_style',
			'description' => esc_html__( ' Chose to select footer page content for this page. ', 'sw-market' ),
			'std'	 => '',
			'values' => market_build_array( 'page' )
			)
		)
	);
$market_metabox_pages[] = array(
	'title' 	=> esc_html__( 'Sidebar', 'sw-market' ),
	'fields'	=> array(
		array(
			'type'	=> 'select',
			'title'	=> esc_html__( 'Sidebar Layout', 'sw-market' ),
			'id'	=> 'page_sidebar_layout',
			'description' => esc_html__( 'Choose layout sidebar for page', 'sw-market' ),
			'std'	 => 'full',
			'values' => array( 'full' => esc_html__( 'No Sidebar', 'sw-market' ), 'left' => esc_html__( 'Sidebar Left', 'sw-market' ), 'right' => esc_html__( 'Sidebar Right', 'sw-market' ) )
			),
		array(
			'type'	=> 'select',
			'title'	=> esc_html__( 'Sidebar ', 'sw-market' ),
			'id'	=> 'page_sidebar_template',
			'description' => esc_html__( ' Chose sidebar to show.', 'sw-market' ),
			'std'	 => '',
			'values' => market_build_array( 'sidebar' )
			)		
		)
	);

add_action( 'admin_init', 'market_page_init' );
add_action( 'save_post', 'market_page_save_meta', 10, 1 );
function market_page_init(){
	add_meta_box( 'market_page_meta', esc_html__( 'Page Metabox', 'sw-market' ), 'market_page_meta', 'page', 'normal', 'low' );
}	

/*
** Metabox HTML
*/
function market_page_meta(){
	global $post, $market_metabox_pages;
	$current_screen =  get_current_screen();
	wp_nonce_field( 'market_page_save_meta', 'market_metabox_plugin_nonce' );
	if( $current_screen->post_type == 'page' ) : 
		wp_enqueue_style( 'metabox_style', get_template_directory_uri() . '/lib/admin/css/metabox.css', array(), null );
	wp_enqueue_script( 'tab_script', get_template_directory_uri() . '/lib/admin/js/tab.js', array(), null, true );
	wp_enqueue_script( 'market-opts-field-radio_img-js',	BLANK_URL.'/options/fields/radio_img/field_radio_img.js',	array('jquery'), time(), true	);
	endif; 
	?>
	<div class="market-metabox" id="market_metabox">
		<div class="market-metabox-content">
			<ul class="nav nav-tabs">
				<?php 
				foreach( $market_metabox_pages as $key => $metabox ){ 
					$active = ( $key == 0 ) ? 'active' : '';
					echo '<li class="' . esc_attr( $active ) . '"><a href="#market_'. strtolower( $metabox['title'] ) .'" data-toggle="tab">' . $metabox['title'] . '</a></li>';
				} 
				?>
			</ul>
			<div class="tab-content">
				<?php 
				foreach( $market_metabox_pages as $key => $metabox ){ 
					$active = ( $key == 0 ) ? 'active' : '';				
					?>
					<div class="tab-pane <?php echo esc_attr( $active ); ?>" id="market_<?php echo strtolower( $metabox['title'] ) ; ?>">
						<?php if( isset( $metabox['fields'] ) && count( $metabox['fields'] ) > 0 ) {?>
						<?php 
						foreach( $metabox['fields'] as $meta_field ) { 
							$values = isset( $meta_field['values'] ) ? $meta_field['values'] : '';
							?>
							<div class="tab-inner clearfix">
								<div class="flytab-description pull-left">
									
									<!-- Title meta field -->
									<?php if( $meta_field['title'] != '' ) { ?>
									<div class="flytab-item-title">
										<?php echo $meta_field['title']; ?>
									</div>
									<?php } ?>
									
									<!-- Description -->
									<?php if( $meta_field['description'] != '' ) { ?>
									<div class="flytab-item-shortdes">
										<?php echo $meta_field['description']; ?>
									</div>
									<?php } ?>
								</div>
								<!-- Meta content -->
								<div class="flytab-content">
									<?php market_render_html( $meta_field['id'], $meta_field['type'], $values, $meta_field['std'] ); ?>									
								</div>
							</div>
							<?php } ?>
							<?php } ?>
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
			<?php 
		}

/*
** Function Render HTML
*/
function market_render_html( $id, $type, $values, $std ){
	global $post;
	$meta_value = '';
	if( get_post_meta( $post->ID, $id, true ) != '' ){
		$meta_value = get_post_meta( $post->ID, $id, true );
	}else if( isset( $std ) && $std != '' ){
		$meta_value = $std;
	}
	$html = '';
	switch( $type ) {
		case 'text' :
		$html .= '<input type="text" value="'. esc_attr( $meta_value ) .'" id="'. esc_attr( $id ) .'" name="'. esc_attr( $id ) .'"/>';
		break;
		
		case 'textarea' :
		$html .= '<texarea id="'. esc_attr( $id ) .'" name="'. esc_attr( $id ) .'"/>'. esc_attr( $meta_value ) .'</texarea>';
		break;
		
		case 'editor' :
		wp_editor( $meta_value, $id, array() );
		break;
		
		case 'select' :
		$html .= '<select id="'. esc_attr( $id ) .'" name="'. esc_attr( $id ) .'">';
		foreach( $values as $key => $value ) {
			$html .= '<option value="'. esc_attr( $key ) .'" '. selected( $meta_value, $key, false ) .'>'. $value .'</option>';
		}
		$html .= '</select>';
		break;
		
		case 'multiselect' :
		$multi_value = array();
		if( is_array( $meta_value ) ){
			$multi_value = $meta_value;
		}else{
			$multi_value[] = $meta_value;
		}
		$select_value = $multi_value;
		$html .= '<select id="'. esc_attr( $id ) .'" name="'. esc_attr( $id ) .'[]" multiple>';
		foreach( $values as $key => $value ) {
			$check = ( in_array( $key, $select_value ) ) ? 'selected="selected"' : '';
			$html .= '<option value="'. esc_attr( $key ) .'" '. $check .'>'. $value .'</option>';
		}
		$html .= '</select>';
		break;
		
		case 'checkbox' :
		$check = ( $meta_value == 'yes' ) ? 'checked' : '';
		$html .= '<input type="checkbox" name="'. esc_attr( $id ) .'" value="yes" '. $check .'/>';
		break;
		
		case 'radio_img' :
		$i = 0;
		$html .= '<div class="page-metabox-radio-img">';
		foreach( $values as $key => $value ) {
			$selected = ( checked( $meta_value, $key, false ) != '' ) ? ' market-radio-img-selected' : '';
			$html .= '<label class="radio-label market-radio-img'.$selected.' market-radio-img-'. esc_attr( $id ) .'" for="'. esc_attr( $id ) .'_'. $i .'">';
			$html .= '<input type="radio" id="'. esc_attr( $id ) .'_'. $i .'" name="'. esc_attr( $id ) .'" value="'. esc_attr( $key ) .'" '.checked($meta_value, $key, false).'/>';
			$html .= '<div class="page-radio-color" style="background: '. esc_attr( $value ) .'" onclick="jQuery:market_radio_img_select(\''. esc_attr( $id ) .'_'. $i .'\', \''. esc_attr( $id ) .'\');"></div>';
			$html .= '<br/><span>'. esc_attr( $key ) .'</span>';
			$html .= '</label>';
			$i ++;
		}
		$html .= '</div>';
		break;
		
		case 'radio' :
		$i = 0;
		$html .= '<div class="page-metabox-radio">';
		foreach( $values as $key => $value ) {
			$html .= '<label class="radio-label '. esc_attr( $id ) .'" for="'. esc_attr( $id ) .'_'. $i .'">';
			$html .= '<input type="radio" id="'. esc_attr( $id ) .'_'. $i .'" name="'. esc_attr( $id ) .'" value="'. esc_attr( $key ) .'" '.checked($meta_value, $key, false).'/>';
			$html .= '';
			$html .= '<br/><span>'. esc_attr( $value ) .'</span>';
			$html .= '</label>';
			$i ++;
		}
		$html .= '</div>';
		break;
		
		case 'multicheckbox' :
		$multi_value = array();
		if( is_array( $meta_value ) ){
			$multi_value = $meta_value;
		}else{
			$multi_value[] = $meta_value;
		}
		$checkbox_value = $multi_value;
		foreach( $values as $key => $value ) {
			$check = ( in_array( $key, $checkbox_value ) ) ? 'checked' : '';
			$html .= '<div class="metabox-multicheck pull-left"><input type="checkbox" name="'. esc_attr( $id ) .'[]" value="'. esc_attr( $key ) .'" '. $check .'/>';
			$html .= '<br/><label>'. $value .'</label></div>';
		}
		break;
		
		case 'upload' :
		$upload_img = wp_get_attachment_image_url( $meta_value, 'thumbnail' ) ? wp_get_attachment_image_url( intval($meta_value), 'thumbnail' ) : '';
		ob_start();
		?>
		<div class="upload-formfield">
			<div id="metabox_thumbnail" style="float: left; margin-right: 10px;"><img src="<?php echo esc_url( $upload_img ); ?>" alt="" width="30" height="30" /></div>
			<div class="metabox-thumbnail-wrapper">
				<input type="hidden" id="<?php echo esc_attr( $id ); ?>" name="<?php echo esc_attr( $id ); ?>" value="<?php echo esc_attr( $meta_value ) ?>"/>
				<button type="button" class="upload_image_button button"><?php echo esc_html__( 'Upload/Add image', 'sw-market' ) ?></button>
				<button type="button" class="remove_image_button button"><?php echo esc_html__( 'Remove image', 'sw-market' ) ?></button>
			</div>
			<script type="text/javascript">

					// Only show the "remove image" button when needed
					if ( ! jQuery( '#<?php echo esc_js( $id ); ?>' ).val() ) {
						jQuery( '.remove_image_button' ).hide();
					}

					// Uploading files
					var file_frame;

					jQuery( document ).on( 'click', '.upload_image_button', function( event ) {

						event.preventDefault();

						// If the media frame already exists, reopen it.
						if ( file_frame ) {
							file_frame.open();
							return;
						}

						// Create the media frame.
						file_frame = wp.media.frames.downloadable_file = wp.media({
							title: '<?php esc_html_e( "Choose an image", 'sw-market' ); ?>',
							button: {
								text: '<?php esc_html_e( "Use image", 'sw-market' ); ?>'
							},
							multiple: false
						});

						// When an image is selected, run a callback.
						file_frame.on( 'select', function() {
							var attachment = file_frame.state().get( 'selection' ).first().toJSON();
							
							jQuery( '#<?php echo esc_js( $id ); ?>' ).val( attachment.id );
							console.log('#<?php echo esc_js( $id ); ?>');
							jQuery( '#metabox_thumbnail > img' ).attr( 'src', attachment.sizes.thumbnail.url );
							jQuery( '.remove_image_button' ).show();
						});

						// Finally, open the modal.
						file_frame.open();
					});

jQuery( document ).on( 'click', '.remove_image_button', function() {
	jQuery( '#metabox_thumbnail > img' ).attr( 'src', 'http://placehold.it/30x30' );
	jQuery( '#<?php echo esc_js( $id ); ?>' ).val( '' );
	jQuery( '.remove_image_button' ).hide();
	return false;
});

</script>
<div class="clear"></div>
</div>
<?php
$html .= ob_get_clean();
break;

case 'color' :
$color_value = isset( $meta_value ) ? $meta_value : $std;			
$html .= '<input type="text" id="'.esc_attr( $id ).'" name="'. esc_attr( $id ) .'" value="'.esc_attr( $color_value ).'" class="market-popup-colorpicker" style="width:70px;"/>';
break;
}
echo $html;
}

function market_page_save_meta(){
	global $post, $market_metabox_pages;
	if ( ! isset( $_POST['market_metabox_plugin_nonce'] ) ) {
		return;
	}
	if ( ! wp_verify_nonce( $_POST['market_metabox_plugin_nonce'], 'market_page_save_meta' ) ) {
		return;
	}
	foreach( $market_metabox_pages as $key => $metabox ){ 
		foreach( $metabox['fields'] as $meta_field ) { 			
			if( isset( $_POST[$meta_field['id']] ) ){
				$data = $_POST[$meta_field['id']];
				switch( $meta_field['id'] ) {
					case 'text' :
					$data = sanitize_text_field( $_POST[$meta_field['id']] );
					break;
					
					case 'email' :
					$data = sanitize_email( $_POST[$meta_field['id']] );
					break;
					
					case 'number' :
					$data = intval( $_POST[$meta_field['id']] );
					break;
					
					case 'upload' :
					$data = intval( $_POST[$meta_field['id']] );
					break;

				}
				update_post_meta( $post->ID, $meta_field['id'], $data );
			}
			else{
				if( $meta_field['std'] != '' ){
					update_post_meta( $post->ID, $meta_field['id'], $meta_field['std'] );
				}else{
					delete_post_meta( $post->ID, $meta_field['id'] );
				}
			}
		}
	}
}

