<div class="top-form top-search">
	<div class="topsearch-entry">
		<span><i class="fa fa-search" aria-hidden="true"></i></span>
		<?php if ( class_exists( 'WooCommerce' ) ) { ?>
		<form method="get" class="searchform_special" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
			<?php
			$market_taxonomy = class_exists( 'WooCommerce' ) ? 'product_cat' : 'category';
			$market_posttype = class_exists( 'WooCommerce' ) ? 'product' : 'post';
			$args = array(
				'type' => 'post',
				'parent' => 0,
				'orderby' => 'id',
				'order' => 'ASC',
				'hide_empty' => false,
				'hierarchical' => 1,
				'exclude' => '',
				'include' => '',
				'number' => '',
				'taxonomy' => $market_taxonomy,
				'pad_counts' => false
				);
			$product_categories = get_categories($args);
			if( count( $product_categories ) > 0 ){
				?>
				<div class="cat-wrapper">
					<label class="label-search">
						<select name="search_category" class="s1_option">
							<option value=""><?php esc_html_e( 'All Categories', 'sw-market' ) ?></option>
							<?php foreach( $product_categories as $cat ) {
								$selected = ( isset($_GET['search_category'] ) && ($_GET['search_category'] == $cat->term_id )) ? 'selected=selected' : '';
								echo '<option value="'. esc_attr( $cat-> term_id ) .'" '.$selected.'>' . esc_html( $cat->name ). '</option>';
							}
							?>
						</select>
					</label>
				</div>
				<?php } ?>
				<input type="text" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr_e( 'Enter your keyword...', 'sw-market' ); ?>" />
				<button type="submit" title="<?php esc_attr_e( 'Search', 'sw-market' ) ?>" class="icon-search button-search-pro form-button"></button>
				<input type="hidden" name="search_posttype" value="product" />
			</form>
			<?php }else{ ?>
			<?php get_template_part('templates/searchform'); ?>
			<?php } ?>
		</div>
	</div>
	<?php 
	$market_psearch = market_options()->getCpanelValue('popular_search'); 
	if( $market_psearch != '' ){
		?>
		<div class="popular-search-keyword">
			<div class="keyword-title"><?php esc_html_e( 'Popular Keywords', 'sw-market' ) ?>: </div>
			<?php 
			$market_psearch = explode(',', $market_psearch); 
			foreach( $market_psearch as $key => $item ){
				echo ( $key == 0 ) ? '' : ',';
				echo '<a href="'. esc_url( home_url('/') ) .'?s='. esc_attr( $item ) .'">' . $item . '</a>';
			}
			?>		
		</div>
		<?php } ?>
