<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */


if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
$market_sidebar_product = market_options() -> getCpanelValue('sidebar_product');
?>
<?php get_template_part('header'); ?>


<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
	<div class="market_breadcrumbs">
		<div class="container">
			<?php
			if (!is_front_page() ) {
				if (function_exists('market_breadcrumb')){
					market_breadcrumb('<div class="breadcrumbs custom-font theme-clearfix">', '</div>');
				} 
			} 
			?>
		</div>
	</div>
<?php endif; ?>

<div class="container">
	<div class="row">
	<div id="contents" <?php market_content_product(); ?> role="main">
		<?php
			/**
			 * woocommerce_before_main_content hook
			 *
			 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
			 * @hooked woocommerce_breadcrumb - 20
			 */
			global $post;
			do_action('woocommerce_before_main_content');
			?>
			<?php if ( market_sidebar_check('top-right') ) {?>
				<div id="sidebar-banner-category" class="sidebar-banner-category pull-right">
					<?php dynamic_sidebar('banner-product-category'); ?>
				</div>
				<div class="clearfix"></div>
			<?php }?>
			<div class="products-wrapper">	

				<?php if ( have_posts() ) : ?>
					<?php do_action('woocommerce_message'); ?>
					<?php
					/**
					 * woocommerce_before_shop_loop hook
					 *
					 * @hooked woocommerce_result_count - 20
					 * @hooked woocommerce_catalog_ordering - 30
					 */
					do_action( 'woocommerce_before_shop_loop' );
					?>
					<div class="clear"></div>
					<?php woocommerce_product_loop_start(); ?>

					<?php woocommerce_product_subcategories(); ?>
					<li class="clear"></li>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php wc_get_template_part( 'content', 'product' ); ?>

					<?php endwhile; // end of the loop. ?>

					<?php woocommerce_product_loop_end(); ?>
					<div class="clear"></div>			
					<?php
					/**
					 * woocommerce_after_shop_loop hook
					 *
					 * @hooked woocommerce_pagination - 10
					 */
					do_action( 'woocommerce_after_shop_loop' );
					?>
				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

					<?php woocommerce_get_template( 'loop/no-products-found.php' ); ?>

				<?php endif; ?>
			</div>
			<?php
			/**
			 * woocommerce_after_main_content hook
			 *
			 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
			 */
			do_action('woocommerce_after_main_content');
			?>
		</div>
		<?php if ( market_sidebar_check('left-product') && $market_sidebar_product != 'right' && $market_sidebar_product != 'full'):
		$market_left_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_left_expand');
		$market_left_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_left_expand_md');
		$market_left_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_left_expand_sm');
		?>
		<aside id="left" class="sidebar <?php echo esc_attr($market_left_span_class); ?>">
			<?php dynamic_sidebar('left-product'); ?>
		</aside>
		<?php endif; ?>

		<?php if ( market_sidebar_check('right-product') && $market_sidebar_product != 'left' && $market_sidebar_product != 'full' ):
		$market_right_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_right_expand');
		$market_right_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_right_expand_md');
		$market_right_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_right_expand_sm');
		?>
		<aside id="right" class="sidebar <?php echo esc_attr($market_right_span_class); ?>">
			<?php dynamic_sidebar('right-product'); ?>
		</aside>
		<?php endif; ?>

</div>
</div>
<?php get_template_part('footer'); ?>
