<?php
/*
 * Single Product Rating
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.1.0
*/
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


global $product;

if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' ) {
	return;
}
$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();
$average      = $product->get_average_rating();
if(  $rating_count > 0 ) : ?>

<div class="reviews-content" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
	<span class="ratings"><?php esc_html_e( 'Rating:', 'sw-market' ) ?></span>
	<div class="star"> <?php echo '<span style="width:'. ( $average*13 ) .'px"></span>'; ?> </div>
	<a href="#reviews" class="woocommerce-review-link" rel="nofollow"><?php printf( _n( '%s Review', '%s Review(s)', $rating_count, 'sw-market' ), '<span itemprop="ratingCount" class="count">' . $rating_count . '</span>' ); ?></a>
</div>
<?php $stock = ( $product->is_in_stock() )? 'in-stock' : 'out-stock' ; ?>
<div class="product-stock <?php echo esc_attr( $stock ); ?>">
	<span class="availability"><?php esc_html_e( 'Availability:', 'sw-market' ) ?></span>
	<span><i class="fa fa-check-square-o" aria-hidden="true"></i><?php echo ( $product->is_in_stock() )? esc_html__( 'in stock', 'sw-market' ) : esc_html__( 'Out stock', 'sw-market' ); ?></span>
</div>

<?php else : ?>

	<div class="reviews-content">
		<span class="ratings"><?php esc_html_e( 'Rating:', 'sw-market' ) ?></span>
		<div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*13 ).'px"></span>' : ''; ?></div>
		<a href="#reviews" class="woocommerce-review-link" rel="nofollow"><?php printf( _n( '%s Review', '%s Review(s)', $rating_count, 'sw-market' ), '<span class="count">' . $rating_count . '</span>' ); ?></a>
	</div>
	<?php $stock = ( $product->is_in_stock() )? 'in-stock' : 'out-stock' ; ?>
	<div class="product-stock <?php echo esc_attr( $stock ); ?>">
		<span class="availability"><?php esc_html_e( 'Availability:', 'sw-market' ) ?></span>
		<span><i class="fa fa-check-square-o" aria-hidden="true"></i><?php echo ( $product->is_in_stock() )? esc_html__( 'in stock', 'sw-market' ) : esc_html__( 'Out stock', 'sw-market' ); ?></span>
	</div>

<?php endif; ?>
<div class="product_meta">
<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

	<span class="sku_wrapper"><?php esc_html_e( 'SKU:', 'sw-market' ); ?> <span class="sku" itemprop="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'sw-market' ); ?></span></span>

<?php endif; ?>
</div>


