<?php 
add_action( 'vc_before_init', 'my_shortcodeVC' );
function my_shortcodeVC(){
	$ya_link_category = array( __( 'All Categories', 'sw_core' ) => '' );
	$ya_link_cats     = get_categories();
	if ( is_array( $ya_link_cats ) ) {
		foreach ( $ya_link_cats as $link_cat ) {
			$ya_link_category[ $link_cat->name ] = $link_cat->slug;
		}
	}		

	$menu_locations_array = array( __( 'Select Menu', 'sw_core' ) => '' );
	$menu_locations = wp_get_nav_menus();	
	foreach ($menu_locations as $menu_location){
		$menu_locations_array[$menu_location->name] = $menu_location -> slug;
	}

	/*
	** vertical mega menu
	*/
	vc_map( array(
		'name' => __( 'Sw Vertical Megamenu', 'sw_core' ),
		'base' => 'ya_mega_menu',
		'icon' => 'icon-wpb-ytc',
		'category' => __( 'SW Core', 'sw_core' ),
		'class' => 'wpb_vc_wp_widget',
		'weight' => - 50,
		'description' => '',
		'params' => array(
				array(
				'type' => 'textfield',
				'heading' => __( 'Title', 'sw_core' ),
				'param_name' => 'title',
				'description' => __( 'Title', 'sw_core' )
			),
				array(
				'param_name'    => 'menu_locate',
				'type'          => 'dropdown',
				'value'         => $menu_locations_array, 
				'heading'       => __('Category menu:', 'sw_core'),
				'description'   => '',
				'holder'        => 'div',
				'class'         => ''
			),
			array(
				'type' => 'dropdown',
				'heading' => __( 'Theme shortcode want display', 'sw_core' ),
				'param_name' => 'widget_template',
				'value' => array(
					__( 'default', 'sw_core' ) => 'default',
				),
				'description' => sprintf( __( 'Select different style menu.', 'sw_core' ) )
			),
			array(
				'type' => 'textfield',
				'heading' => __( 'Extra class name', 'sw_core' ),
				'param_name' => 'el_class',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'sw_core' )
			),			
		)
	));
	
	/*
	** Sw Listing Blog
	*/
	vc_map( array(
		"name" => __( "SW BLog Listing", "sw_core" ),
		"base" => "sw_blog",
		"icon" => "icon-wpb-ytc",
		"class" => "",
		"category" => __( "SW Core", "sw_core"),
		"params" => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Title", "sw_core" ),
				"param_name" => "title",
				"admin_label" => true,
				"value" => '',
				"description" => __( "Title", "sw_core" )
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Desciption", "sw_core" ),
				"param_name" => "desciption",
				"admin_label" => true,
				"value" => '',
				"description" => __( "Desciption", "sw_core" ),
				'dependency' => array(
					'element' => 'layout',
					'value' => 'default' 
				),
			),	
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Category", "sw_core" ),
				"param_name" => "category",
				"admin_label" => true,
				"value" => $ya_link_category,
				"description" => __( "Select Category", "sw_core" )
			 ),
			 array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Number Of Post", "sw_core" ),
				"param_name" => "numberposts",
				"admin_label" => true,
				"value" => 5,
				"description" => __( "Number of post", "sw_core" ),
				'dependency' => array(
					'element' => 'layout',
					'value' => 'layout2' 
				),
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Order By", "sw_core" ),
				"param_name" => "orderby",
				"admin_label" => true,
				"value" => array('Name' => 'name', 'Author' => 'author', 'Date' => 'date', 'Modified' => 'modified', 'Parent' => 'parent', 'ID' => 'ID', 'Random' =>'rand', 'Comment Count' => 'comment_count'),
				"description" => __( "Order by", "sw_core" )
			),				
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Order", "sw_core" ),
				"param_name" => "order",
				"admin_label" => true,
				"value" => array('Descending' => 'DESC', 'Ascending' => 'ASC'),
				"description" => __( "Order", "sw_core" )
			), 
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Column", "sw_core" ),
				"param_name" => "columns",
				"admin_label" => true,
				"value" => array( 1,2,3,4 ),
				"description" => __( "Number of column for layout grid", "sw_core" ),
				'dependency' => array(
					'element' => 'layout', 
					'value' => array( 'grid' )
				)
			), 
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Layout", "sw_core" ),
				"param_name" => "layout",
				"admin_label" => true,
				"value" => array( 'Layout Default' => 'default', 'Layout List' => 'list', 'Layout Grid' => 'grid' ),
				"description" => __( "Layout", "sw_core" )
			)			
		)
	) 
	);
}
?>