<?php
/**
 * SW WooCommerce Shortcodes
 * @author 		flytheme
 * @version     1.0.0
 */

if( is_plugin_active( 'js_composer/js_composer.php' ) ){
	require_once ( WCPATH . '/includes/visual-map.php' );
}
 /*
 * Featured product
 *
 */
 function market_bestsale_shortcode($atts){
 	extract(shortcode_atts(array(
 		'number' => 5,
 		'title'=>'',
 		'el_class'=>'',
 		'images' => '',
 		'template'=>'',
 		'item_slide'=>'',
 		'post_status' 	 => 'publish',
 		'post_type' 	 => 'product',
 		'meta_key' 		 => 'total_sales',
 		'orderby' 		 => 'meta_value_num',
 		'no_found_rows'  => 1
 		),$atts));
 	ob_start();
 	global $woocommerce;
 	$i='';
 	$pf_id = 'bestsale-'.rand().time();
 	$query_args =array( 'posts_per_page'=> $number,'post_type' => 'product','meta_key' => 'total_sales','orderby' => 'meta_value_num','no_found_rows' => 1); 
 	$query_args['meta_query'] = $woocommerce->query->get_meta_query();

 	$query_args['meta_query'][] = array(
 		'key'     => '_price',
 		'value'   => 0,
 		'compare' => '>',
 		'type'    => 'DECIMAL',
 		);
 	
 	$r = new WP_Query($query_args);
 	$numb_post = count( $r -> posts );
 	if ( $r->have_posts() ) {
 		if($template== 'default'){
 			?>
 			<div id="<?php echo $pf_id ?>" class="sw-best-seller-product vc_element">
 				<?php 
 				if( $title != '' ){ 
 					$titles = strpos($title, ' ');
 					?>
 					<div class="box-title"><h3><span><?php echo substr( $title, 0, $titles ) ?></span> <?php echo substr( $title, $titles + 1 ) ?></h3></div>
 					<?php } ?>
 					<div class="wrap-content">
 						<?php
 						while ( $r -> have_posts() ) : $r -> the_post();
 						global $product, $post;
 						?>
 						
 						<div class="item">
 							<div class="item-inner">
 								<div class="item-img">
 									<a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>">
 										<?php if( has_post_thumbnail() ){  ?>
 										<?php echo ( get_the_post_thumbnail( $r->post->ID, 'thumbnail_seller' ) ) ? get_the_post_thumbnail( $r->post->ID, 'thumbnail_seller' ):'<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>';
 									}else{ ?>
 									<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>
 									<?php	} ?>
 								</a>
 							</div>
 							<div class="item-content">
 								<h4><a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>"><?php echo  esc_html( $post->post_title ) ?></a></h4>
 								<div class="item-price"><?php echo $product->get_price_html() ?></div>	
 								<!-- rating  -->
 								<?php 
 								$rating_count = $product->get_rating_count();
 								$review_count = $product->get_review_count();
 								$average      = $product->get_average_rating();
 								?>
 								<div class="reviews-content">
 									<div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*13 ).'px"></span>' : ''; ?></div>
 									<div class="review">
                    <?php
                    echo $review_count . ' ' .( ($review_count > 1 ) ? esc_html__(' Reviews', 'sw_woocommerce') : esc_html__(' Review', 'sw_woocommerce')  );             
                    ?>
                  </div>
                </div>	
                <!-- end rating  -->			 
              </div>
            </div>
          </div>
          <?php 
          endwhile;
          wp_reset_postdata();
          ?>
        </div>
      </div>
      <?php
    }elseif($template == 'slide'){ ?>
    <div id="<?php echo $pf_id ?>" class="sw-best-seller-product-slider vc_element carousel slide <?php echo $el_class ?>" data-interval="0">
      <?php if( $title != '' ){
       $titles = strpos($title, ' ');
       ?>
       <div class="box-title"><h3><span><?php echo substr( $title, 0, $titles ) ?></span> <?php echo substr( $title, $titles + 1 ) ?></h3></div>
       <?php } ?>
       <div class="customNavigation nav-left-product">
        <a title="<?php echo esc_attr__( 'Previous', 'flytheme' ) ?>" class="btn-bs prev-bs"  href="#<?php echo $pf_id ?>" role="button" data-slide="prev"></a>
        <a title="<?php echo esc_attr__( 'Next', 'flytheme' ) ?>" class="btn-bs next-bs" href="#<?php echo $pf_id ?>" role="button" data-slide="next"></a>
      </div>
      <div class="carousel-inner">
        <div class="image-slide">
         <?php echo wp_get_attachment_image( $images, 'large' ); ?>
       </div>
       <?php 
       $i = 0;
       while ( $r -> have_posts() ) : $r -> the_post();
       global $product, $post;
       if( ( $i % $item_slide ) == 0 && ( $item_slide != 0 ) ){
         $active = ( $i == 0 ) ? 'active' : '';
         ?>
         <div class="item <?php echo $active ?>" >
          <?php } ?>
          <div class="item-detail">
           <div class="item-inner">
            <div class="item-img">
             <a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>">
              <?php 
              if( has_post_thumbnail() ){  
               echo ( get_the_post_thumbnail( $r->post->ID, 'thumbnail_seller' ) ) ? get_the_post_thumbnail( $r->post->ID, 'thumbnail_seller' ):'<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>' ;
             }else{ 
               echo '<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>';
             }
             ?>
           </a>
         </div>
         <div class="item-content">
           <h4><a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>"><?php echo esc_html( $post->post_title ) ?></a></h4>
           <div class="item-price"><p><?php echo $product->get_price_html() ?></p></div>
         </div>
       </div>
     </div>
     <?php if( ( $i+1 ) % ($item_slide) == 0 || ( $i+1 ) == $numb_post ){ ?>
   </div>
   <?php }
   $i++;endwhile;
   wp_reset_postdata();
   ?>
 </div>
</div>
<?php 
}
}
$content = ob_get_clean();
return $content;
}
add_shortcode('BestSale','market_bestsale_shortcode');

  /*
 * Best Sale product
 *
 */
  function market_featured_shortcode($atts){
  	extract(shortcode_atts(array(
  		'number' => 5,
  		'title'=>'',
  		'el_class'=>'',
  		'images' => '',
  		'template'=>'',
  		'category' => '',
  		'item_slide'=>'',
  		'post_type' 	 => 'product',
  		),$atts));
  	ob_start();
  	global $woocommerce;
  	$i='';
  	$pf_id = 'bestsale-'.rand().time();
  	$query_args = array( 'posts_per_page'=> $number,'post_type' => 'product', 'orderby' => 'name', 'order' => 'ASC',); 
  	$query_args['meta_query'] = $woocommerce->query->get_meta_query();
  	if( sw_woocommerce_version_check( '3.0' ) ){	
		$query_args['tax_query'][] = array(						
			'taxonomy' => 'product_visibility',
			'field'    => 'name',
			'terms'    => 'featured',
			'operator' => 'IN',	
		);
	}else{
		$query_args['meta_query'] = array(
			array(
				'key' 		=> '_featured',
				'value' 	=> 'yes'
			)					
		);				
	}
  	
  	$r = new WP_Query($query_args);
  	$numb_post = count( $r -> posts );
  	if ( $r->have_posts() ) {
  		if($template== 'default'){
  			?>
  			<div id="<?php echo $pf_id ?>" class="sw-featured-product vc_element">
  				<?php 
  				if( $title != '' ){ 
  					$titles = strpos($title, ' ');
  					?>
  					<div class="box-title"><h3><span><?php echo substr( $title, 0, $titles ) ?></span> <?php echo substr( $title, $titles + 1 ) ?></h3></div>
  					<?php } ?>
  					<div class="wrap-content">
  						<?php
  						while ( $r -> have_posts() ) : $r -> the_post();
  						global $product, $post;
  						?>
  						
  						<div class="item">
  							<div class="item-inner">
  								<div class="item-img">
  									<a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>">
  										<?php if( has_post_thumbnail() ){  ?>
  										<?php echo ( get_the_post_thumbnail( $r->post->ID, 'shop_thumbnail' ) ) ? get_the_post_thumbnail( $r->post->ID, 'shop_thumbnail' ):'<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>';
  									}else{ ?>
  									<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>
  									<?php	} ?>
  								</a>
  							</div>
  							<div class="item-content">
  								<h4><a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>"><?php echo  esc_html( $post->post_title ) ?></a></h4>
  								<div class="item-price"><?php echo $product->get_price_html() ?></div>			 
  							</div>
  						</div>
  					</div>
  					<?php 
  					endwhile;
  					wp_reset_postdata();
  					?>
  				</div>
  			</div>
  			<?php
  		}elseif($template == 'slide'){ ?>
  		<div id="<?php echo $pf_id ?>" class="sw-featured-product-slider vc_element carousel slide <?php echo $el_class ?>" data-interval="0">
  			<?php if( $title != '' ){
  				$titles = strpos($title, ' ');
  				?>
  				<div class="box-title"><h3><span><?php echo substr( $title, 0, $titles ) ?></span> <?php echo substr( $title, $titles + 1 ) ?></h3></div>
  				<?php } ?>
  				<div class="customNavigation nav-left-product">
  					<a title="<?php echo esc_attr__( 'Previous', 'flytheme' ) ?>" class="btn-bs prev-bs"  href="#<?php echo $pf_id ?>" role="button" data-slide="prev"></a>
  					<a title="<?php echo esc_attr__( 'Next', 'flytheme' ) ?>" class="btn-bs next-bs" href="#<?php echo $pf_id ?>" role="button" data-slide="next"></a>
  				</div>
  				<div class="carousel-inner">
  					<div class="image-slide">
  						<?php echo wp_get_attachment_image( $images, 'large' ); ?>
  					</div>
  					<?php 
  					$i = 0;
  					while ( $r -> have_posts() ) : $r -> the_post();
  					global $product, $post;
  					if( ( $i % $item_slide ) == 0 && ( $item_slide != 0 ) ){
  						$active = ( $i == 0 ) ? 'active' : '';
  						?>
  						<div class="item <?php echo $active ?>" >
  							<?php } ?>
  							<div class="item-detail">
  								<div class="item-inner">
  									<div class="item-img">
  										<a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>">
  											<?php 
  											if( has_post_thumbnail() ){  
  												echo ( get_the_post_thumbnail( $r->post->ID, 'shop_thumbnail' ) ) ? get_the_post_thumbnail( $r->post->ID, 'shop_thumbnail' ):'<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>' ;
  											}else{ 
  												echo '<img src="'.get_template_directory_uri().'/assets/img/placeholder/shop_thumbnail.png" alt="No thumb"/>';
  											}
  											?>
  										</a>
  									</div>
  									<div class="item-content">
  										<h4><a href="<?php echo get_permalink($post->ID) ?>" title="<?php echo esc_attr( $post->post_title ) ?>"><?php echo esc_html( $post->post_title ) ?></a></h4>
  										<div class="item-price"><p><?php echo $product->get_price_html() ?></p></div>
  									</div>
  								</div>
  							</div>
  							<?php if( ( $i+1 ) % ($item_slide) == 0 || ( $i+1 ) == $numb_post ){ ?>
  						</div>
  						<?php }
  						$i++;endwhile;
  						wp_reset_postdata();
  						?>
  					</div>
  				</div>
  				<?php 
  			}
  		}
  		$content = ob_get_clean();
  		return $content;
  	}
  	add_shortcode('Featured','market_featured_shortcode');

  /*
 * Page Hot Deals product
 *
 */

  function market_products_deal_shortcode($atts){
   extract(shortcode_atts(array(  
    'title'     => '',
    'numberposts'  => 5,
    'el_class'   => '',
    'category'   => '',
    'columns'    => 4,
    'columns1'    => 4,
    'columns2'    => 3,
    'columns3'    => 2
    ),$atts));
   ob_start();
   $deal_id = 'sw_deal_'. rand().time();
   $class_col = ' col-lg-'. ( 12 / $columns ) .' col-md-'. ( 12 / $columns1 ) .' col-sm-'. ( 12 / $columns2 ) .' col-xs-'. ( 12 / $columns3 ) ;
   ?>
   <div id="<?php echo esc_attr( $deal_id ); ?>" class="sw-hotdeal <?php echo esc_attr( $el_class ); ?>">
    <?php if( $title != '' ) : ?>
      <div class="block-title">
       <?php echo '<h2>' . $title . '</h2>'; ?>
     </div>
   <?php endif; ?>
   <div class="sw-hotdeal-content">
    <?php 
    $default = array(
      'post_type' => 'product',
      'showposts' => $numberposts,
      'meta_query' => array(
       array(
        'key' => '_sale_price',
        'value' => 0,
        'compare' => '>',
        'type' => 'DECIMAL(10,5)'
        )    
       )
      );
    if( $category != '' ){
      $default['tax_query'] = array(
       array(
        'taxonomy' => 'product_cat',
        'field' => 'slug',
        'terms' => $category
        )
       );
    }
    $list = new WP_Query( $default );
    if( $list->have_posts() ) :
      ?>
    <?php
    while( $list->have_posts() ) : $list->the_post();
    global $product, $post;
    ?> 
    <div class="item <?php echo $class_col; ?>">
      <div class="item-wrap">
        <div class="item-detail">          
         <div class="item-thumb item-img products-thumb">   
          <?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
          <?php sw_label_sales() ?>
        </div>          
        <div class="item-content">                    
          <h4><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php the_title(); ?></a></h4>  
          <?php 
          $rating_count = $product->get_rating_count();
          $review_count = $product->get_review_count();
          $average      = $product->get_average_rating();
          ?>
          <div class="reviews-content">
            <div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*13 ).'px"></span>' : ''; ?></div>
          </div>  
          <!-- end rating  -->         
          <!-- price -->
          <?php if ( $price_html = $product->get_price_html() ){?>
          <div class="item-price">
            <span>
             <?php echo $price_html; ?>
           </span>
         </div>
         <?php } ?> 
         <!-- add to cart, wishlist, compare -->
         <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
       </div>        
     </div>
   </div>
 </div> 
<?php endwhile; wp_reset_postdata(); ?>
<?php endif; ?>
</div>
<?php
$content = ob_get_clean();
return $content;
}
add_shortcode( 'product_deal', 'market_products_deal_shortcode' );
